SDL_SetModState(3)

NAME
SDL_SetModState - Set the current key modifier state for the keyboard.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

void SDL_SetModState(SDL_Keymod modstate);

DESCRIPTION
The inverse of SDL_GetModState(), SDL_SetModState() allows you to impose modifier key states on your application. Simply pass your desired modifier states into modstate. This value may be a bitwise, OR'd combination of SDL_Keymod values.

This does not change the keyboard state, only the key modifier flags that SDL reports.

FUNCTION PARAMETERS

modstate
    the desired SDL_Keymod for the keyboard.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetModState(3)